Debian Bug report logs - #703257
RM: libnet-twitter-lite-perl/0.11002-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Gilbert <mgilbert@debian.org>

Date: Sun, 17 Mar 2013 18:09:01 UTC

Severity: normal

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#703257; Package release.debian.org. (Sun, 17 Mar 2013 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Mar 2013 18:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: libnet-twitter-lite-perl/0.11002-1
Date: Sun, 17 Mar 2013 14:07:37 -0400
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: rm
Severity: normal

Please consider removing libnet-twitter-lite-perl.  The current
twitter API is being disable this month requiring large changes to the
codebase (bug #702523), which are likely unacceptable at this point in
the freeze.

Note that this will also require removing its reverse-dependency tircd.

Thanks,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#703257; Package release.debian.org. (Sun, 17 Mar 2013 20:39:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Mar 2013 20:39:18 GMT) Full text and rfc822 format available.

Message #10 received at 703257@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: Michael Gilbert <mgilbert@debian.org>, 703257@bugs.debian.org, 703258@bugs.debian.org
Cc: 702523@bugs.debian.org, 702486@bugs.debian.org, tircd@packages.debian.org, webgui@packages.debian.org
Subject: Re: Bug#703257: RM: libnet-twitter-lite-perl/0.11002-1
Date: Sun, 17 Mar 2013 20:38:39 +0000
[Message part 1 (text/plain, inline)]
On Sun, Mar 17, 2013 at 02:07:37PM -0400, Michael Gilbert wrote:
> Please consider removing libnet-twitter-lite-perl.  The current
> twitter API is being disable this month requiring large changes to the
> codebase (bug #702523), which are likely unacceptable at this point in
> the freeze.
> 
> Note that this will also require removing its reverse-dependency tircd.

On Sun, Mar 17, 2013 at 02:10:03PM -0400, Michael Gilbert wrote:
> Please consider removing libnet-twitter-perl.  The current twitter API
> is being disable this month requiring large changes to the codebase
> (bug #702486, which are likely unacceptable at this point in the
> freeze.
> 
> Note that this will also require removing its reverse-dependency webgui.

I don't see any indication of you discussing this with the maintainers of
libnet-twitter-* or their reverse dependencies? 

I do not like this pattern of unannounced removal requests without
consulting maintainers. In these two cases I probably agree with the
intention, but not with the way you are going about it.

I also really dislike your recent habit of making discussions hard to
follow by opening new bugs. Please keep things in one place so everyone can
follow along.

NACK until the maintainers have chance to comment.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#703257; Package release.debian.org. (Sun, 17 Mar 2013 21:30:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Mar 2013 21:30:14 GMT) Full text and rfc822 format available.

Message #15 received at 703257@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 702486@bugs.debian.org
Cc: Michael Gilbert <mgilbert@debian.org>, 703257@bugs.debian.org, 703258@bugs.debian.org, tircd@packages.debian.org, webgui@packages.debian.org, 702523@bugs.debian.org
Subject: Re: Bug#702486: Bug#703257: RM: libnet-twitter-lite-perl/0.11002-1
Date: Sun, 17 Mar 2013 22:26:37 +0100
[Message part 1 (text/plain, inline)]
On Sun, 17 Mar 2013 20:38:39 +0000, Jonathan Wiltshire wrote:

> On Sun, Mar 17, 2013 at 02:07:37PM -0400, Michael Gilbert wrote:
> > Please consider removing libnet-twitter-lite-perl.  The current
> > twitter API is being disable this month requiring large changes to the
> > codebase (bug #702523), which are likely unacceptable at this point in
> > the freeze.
> > 
> > Note that this will also require removing its reverse-dependency tircd.
> 
> On Sun, Mar 17, 2013 at 02:10:03PM -0400, Michael Gilbert wrote:
> > Please consider removing libnet-twitter-perl.  The current twitter API
> > is being disable this month requiring large changes to the codebase
> > (bug #702486, which are likely unacceptable at this point in the
> > freeze.
> > 
> > Note that this will also require removing its reverse-dependency webgui.

webgui is not in wheezy and therefore unaffected by a potential
removal of libnet-twitter-perl from testing.
 
> I don't see any indication of you discussing this with the maintainers of
> libnet-twitter-* or their reverse dependencies? 

Thanks Jonathan for putting us in the loop!
I had indeed not seen the those 2 new bugs.
 
> NACK until the maintainers have chance to comment.

Dominic has looked at the packages this afternoon, maybe he can
summarise this opinion.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Sinéad O'Connor: Never Get Old
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#703257; Package release.debian.org. (Sun, 17 Mar 2013 21:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Mar 2013 21:51:09 GMT) Full text and rfc822 format available.

Message #20 received at 703257@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>
Cc: 703257@bugs.debian.org, 703258@bugs.debian.org
Subject: Re: Bug#703257: RM: libnet-twitter-lite-perl/0.11002-1
Date: Sun, 17 Mar 2013 17:49:26 -0400
On Sun, Mar 17, 2013 at 4:38 PM, Jonathan Wiltshire <jmw@debian.org> wrote:
> I do not like this pattern of unannounced removal requests without
> consulting maintainers. In these two cases I probably agree with the
> intention, but not with the way you are going about it.
>
> I also really dislike your recent habit of making discussions hard to
> follow by opening new bugs. Please keep things in one place so everyone can
> follow along.

I fail to follow this line of reasoning.  Does the bts not make
everything more nice and tidy?  Instead of discussions about removals
taking place in bug reports, and stagnating, the bts has a nice tidy
section on those.

Anyway, RM bugs are just like any other bug: they're only suggestions.
 That's why I often say "please consider".  The release team is of
course going to investigate (i.e. talk to maintainers if needed)
before jumping the gun and ticking people off.

I've also found that RM bugs often light fires under people, resulting
in problems solved faster.  So, that's all positive (except for the
maintainers that don't react).

Package removals are a healthy part of the release process.  Let's not
slow that down.

> NACK until the maintainers have chance to comment.

Completely understandable.  I knew that would be part of the process.

Thanks for the feedback.

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#703257; Package release.debian.org. (Sun, 17 Mar 2013 22:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Mar 2013 22:42:09 GMT) Full text and rfc822 format available.

Message #25 received at 703257@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: gregor herrmann <gregoa@debian.org>, 702523@bugs.debian.org
Cc: Jonathan Wiltshire <jmw@debian.org>, 702486@bugs.debian.org, 703258@bugs.debian.org, tircd@packages.debian.org, webgui@packages.debian.org, Michael Gilbert <mgilbert@debian.org>, 703257@bugs.debian.org
Subject: Re: Bug#702523: Bug#702486: Bug#703257: RM: libnet-twitter-lite-perl/0.11002-1
Date: Sun, 17 Mar 2013 22:39:09 +0000
On Sun, Mar 17, 2013 at 10:26:37PM +0100, gregor herrmann wrote:
> On Sun, 17 Mar 2013 20:38:39 +0000, Jonathan Wiltshire wrote:
> 
> > On Sun, Mar 17, 2013 at 02:07:37PM -0400, Michael Gilbert wrote:
> > > Please consider removing libnet-twitter-lite-perl.  The current
> > > twitter API is being disable this month requiring large changes to the
> > > codebase (bug #702523), which are likely unacceptable at this point in
> > > the freeze.
> > > 
> > > Note that this will also require removing its reverse-dependency tircd.
> > 
> > On Sun, Mar 17, 2013 at 02:10:03PM -0400, Michael Gilbert wrote:
> > > Please consider removing libnet-twitter-perl.  The current twitter API
> > > is being disable this month requiring large changes to the codebase
> > > (bug #702486, which are likely unacceptable at this point in the
> > > freeze.
> > > 
> > > Note that this will also require removing its reverse-dependency webgui.
> 
> webgui is not in wheezy and therefore unaffected by a potential
> removal of libnet-twitter-perl from testing.
>  
> > I don't see any indication of you discussing this with the maintainers of
> > libnet-twitter-* or their reverse dependencies? 
> 
> Thanks Jonathan for putting us in the loop!
> I had indeed not seen the those 2 new bugs.

Ditto to both.

> > NACK until the maintainers have chance to comment.
> 
> Dominic has looked at the packages this afternoon, maybe he can
> summarise this opinion.

I don't think I have much more to add beyond my message at
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=702486#36>.
It would of course be a shame if libnet-twitter-*perl were removed
from wheezy, but understandable. From my packaging work of
libnet-twitter-list-perl today, I can say that the changes are actually
not as large as they first appear; much of the changeset is noise due
to refactoring (to support the new API cleanly). If it was earlier on
in the freeze process, I'd be arguing more strongly for pushing this
into wheezy.

The main significant change is in Net/Twitter/Lite.pm itself:

http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libnet-twitter-lite-perl.git;a=commitdiff;h=3029a124dc76aba3d3f9eb02e9a98f690652bb3d#patch25

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 23 Mar 2013 16:54:11 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <mgilbert@debian.org>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 16:54:11 GMT) Full text and rfc822 format available.

Message #30 received at 703257-done@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 702523@bugs.debian.org, Dominic Hargreaves <dom@earth.li>, Salvatore Bonaccorso <carnil@debian.org>, 702486@bugs.debian.org
Cc: 703258-done@bugs.debian.org, 703257-done@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#702523: Bug#702486: libnet-twitter-perl: version 4.x required for new Twitter API
Date: Sat, 23 Mar 2013 16:51:04 +0000
[Message part 1 (text/plain, inline)]
On Sat, Mar 23, 2013 at 12:59:36PM +0100, gregor herrmann wrote:
> On Wed, 20 Mar 2013 22:35:41 +0000, Jonathan Wiltshire wrote:
> 
> > On Wed, Mar 20, 2013 at 08:51:30PM +0000, Jonathan Wiltshire wrote:
> > > On Sun, Mar 17, 2013 at 08:25:51PM +0000, Dominic Hargreaves wrote:
> 
> > > > The upstream diffs are quite large:
> > > > 
> > > > https://metacpan.org/diff/release/MMIMS/Net-Twitter-Lite-0.11002/MMIMS/Net-Twitter-Lite-0.12000
> > > > 
> > > > https://metacpan.org/diff/release/MMIMS/Net-Twitter-3.18003/MMIMS/Net-Twitter-4.00003
> > > > 
> > > > but the alternative is probably removing both from wheezy (and squeeze).
> > > > 
> > > > Thoughts: new upstream releases; remove; something else?
> > > 
> > > I'm tending towards removal, sadly. The upstream diff is indeed rather
> > > large and at this stage, rather unwieldy. I realise lots of it is
> > > refactoring, but the functional changes would normally rule this out for an
> > > unblock.
> > > 
> > > There is a reverse dependency to consider, I just opened a bug to get
> > > Michael's comments.
> > 
> > Michael is happy for tircd to be removed too, since it is dead upstream. So
> > the way is clear for libnet-twitter-perl and libnet-twitter-lite-perl if
> > that is the way you want to go.
>  
> "want to go" is a bit strong :) but as I see it we don't have any
> sane alternative at this stage of the freeze, so feel free to remove
> the two packages from testing.

Ok, removal hint added.

Thanks,

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Apr 2013 07:28:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:21:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.